<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8"/>

    <title>{% block title %} {% endblock %}</title>
    <link rel="stylesheet" href="./css/newstyle.css">


    <script rel="text/javascript" src="./js/vue.js"></script>
    <script rel="text/javascript" src="./js/axios.min.js"></script>

</head>
<body>

<div class="container on">


    <div class="screen" id="app-4">

        <div class="tbl">
            <table id="main_table">
                <tr>
                    <td>Total users</td>
                    <td align="center">{{ total_users }}</td>
                </tr>
                <tr>
                    <td>Total machines</td>
                    <td align="center">{{ total_mach }}</td>
                </tr>
                <tr>
                    <td>Current date</td>
                    <td align="center">{{ date }}</td>
                </tr>
            </table>
        </div>

        <div class="title2">
            <h3 class="title2">HackLab T.U.M.</h3>
            <h3 class="title2">Tools-Users Monitor</h3>
        </div>
        <div class="box--line">
        </div>


        <h3 class="title">
            <a @click="showDiv(1)" href="#" :class="{'selected': div1show == true}">Graph per user</a>
            <a @click="showDiv(2)" href="#" :class="{'selected': div2show == true}">Summery</a>
            <a @click="showDiv(3)" href="#" :class="{'selected': div3show == true}">Log as text</a>
        </h3>
        <div class="box--line">
        </div>


        <div class="box">
            <div class="box-left"></div>
            <div class="box-content">

                <div v-show="div1show">
                    <div class="b-c-l">


                        <div id="main">
                            <div class="overthrow description">

                                <p v-for="user in users">
                                    <a href="#"
                                       :class="{ selected: selUserID == user.id }"
                                       @click="selUserID = user.id"
                                    >{{ user.name }}</a>
                                </p></div>
                        </div>


                    </div>
                    <div class="b-c-r">
                        <div class="date-panel">
                            <div class="years">
                                <p v-for="year in yearsList">
                                    <a href="#" @click="selYear = year" :class="{ selected: selYear == year }" >{{ year }}</a>
                                </p>
                            </div>
                            <div class="months">
                                <p v-for="month, index in monthList">
                                    <a href="#" @click="selMonth = index" :class="{ selected: selMonth == index }" >{{ month }}</a>
                                </p>
                            </div>
                            <div style="width:620px">
                                <canvas id="myChart"></canvas>
                            </div>
                        </div>

                    </div>
                </div>


                <div v-show="div2show">
                    <div class="b-c-l">
                        <p v-for="mach in machines">
                            <a href="#"
                               :class="{ selected: selMachID == mach.id }"
                               @click="selMachID = mach.id">{{ mach.name }}</a>
                        </p>
                    </div>
                    <div class="b-c-r">
                        sfsdf

                    </div>
                </div>


                <div v-show="div3show">
                    <div class="b-c-l">
                        <p v-for="mach in machines">
                            <a href="#"
                               :class="{ selected: selMachID == mach.id }"
                               @click="loadLog(mach.id)">{{ mach.name }}</a>
                        </p>
                    </div>
                    <div class="b-c-r">

                        <div class="overthrow description">
                            <table class="log-data">
                                <thead>
                                <tr>
                                    <th>
                                        <p>usr</p>
                                    </th>
                                    <th>
                                        <p>date</p>
                                    </th>
                                    <th>
                                        <p>status</p>
                                    </th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr v-for="text in logData">
                                    <td>
                                        {{ text.usr }}
                                    </td>
                                    <td>
                                        {{ text.dt }}
                                    </td>
                                    <td>
                                        {{ text.status }}
                                    </td>
                                </tr>
                                </tbody>
                            </table>


                        </div>


                    </div>
                </div>

            </div>
            <div class="box-right"></div>
        </div>



        <div class="box--line">
        </div>

    </div>
</div>




<div id="app">
    <div class="container">
        <div class="my-5">
            <form v-on:submit.prevent="getData">
                <div class="row">
                    <div class="col-md-6 offset-md-3">
                        <h5>Enter A City:</h5>
                        <div class="input-group">
                            <input type="text" class="form-control" v-model="city">
                            <div class="input-group-append">
                                <button class="btn btn-outline-secondary" type="submit">Submit</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <div class="my-5">
            <div class="alert alert-info" v-show="loading">
                Loading...
            </div>
            <div v-show="chart != null">
                <canvas id="myChart"></canvas>
            </div>
        </div>
    </div>
</div>



















<script rel="text/javascript" src="./js/overthrow.min.js"></script>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>

<script rel="text/javascript" src="./js/app.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.13.0/moment.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.2/Chart.min.js"></script>
</body>
</html>




